## com.sun.enterprise.web.io
Interface ByteWriter

    public interface ByteWriter

This interface defines additional functionalities a web container can provide for the response writer. If implementated, perfermance will likely to be improved.

Author:
  Kin-man Chung

Method Summary
`void` `write(byte[] buff, int off, int len, int strlen)` Write a portion of a byte array to the output.

Method Detail

### write

    void write(byte[] buff,
               int off,
               int len,
               int strlen)
               throws IOException

  Write a portion of a byte array to the output.

  Parameters:
    `buff` - A byte array
    `off` - Offset from which to start reading byte
    `len` - Number of bytes to write
    `strlen` - If non-zero, the length of the string from which the bytes was converted. If zero, then the string length is unknown.
  Throws:
    `IOException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.